org.keycloak.dom.saml.v2.metadata

## Class SSODescriptorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.RoleDescriptorType
    - - org.keycloak.dom.saml.v2.metadata.SSODescriptorType

- Direct Known Subclasses:
    IDPSSODescriptorType, SPSSODescriptorType

      public abstract class SSODescriptorType
      extends RoleDescriptorType

  Java class for SSODescriptorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SSODescriptorType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:metadata}RoleDescriptorType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}ArtifactResolutionService" maxOccurs="unbounded"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}SingleLogoutService" maxOccurs="unbounded"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}ManageNameIDService" maxOccurs="unbounded"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}NameIDFormat" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<IndexedEndpointType>` | `artifactResolutionService`
    `protected List<EndpointType>` | `manageNameIDService`
    `protected List<String>` | `nameIDFormat`
    `protected List<EndpointType>` | `singleLogoutService`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

      `cacheDuration, contactPerson, errorURL, extensions, id, keyDescriptor, organization, protocolSupportEnumeration, signature, validUntil`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSODescriptorType(List<String> protocolSupport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArtifactResolutionService(IndexedEndpointType i)` Add atrifact resolution service
    `void` | `addManageNameIDService(EndpointType end)` Add manage name id service
    `void` | `addNameIDFormat(String s)` Add Name ID Format
    `void` | `addSingleLogoutService(EndpointType endpt)` Add SLO Service
    `List<IndexedEndpointType>` | `getArtifactResolutionService()` Gets the value of the artifactResolutionService property.
    `List<EndpointType>` | `getManageNameIDService()` Gets the value of the manageNameIDService property.
    `List<String>` | `getNameIDFormat()` Gets the value of the nameIDFormat property.
    `List<EndpointType>` | `getSingleLogoutService()` Gets the value of the singleLogoutService property.
    `void` | `removeArtifactResolutionService(IndexedEndpointType i)` remove atrifact resolution service
    `void` | `removeManageNameIDService(EndpointType end)` remove manage name id service
    `void` | `removeNameIDFormat(String s)` remove Name ID Format
    `void` | `removeSingleLogoutService(EndpointType endpt)` remove SLO Service

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

      `addContactPerson, addKeyDescriptor, getCacheDuration, getContactPerson, getErrorURL, getExtensions, getID, getKeyDescriptor, getOrganization, getProtocolSupportEnumeration, getSignature, getValidUntil, removeContactPerson, removeKeyDescriptor, setCacheDuration, setErrorURL, setExtensions, setID, setOrganization, setSignature, setValidUntil`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### artifactResolutionService

          protected List<IndexedEndpointType> artifactResolutionService

    - #### singleLogoutService

          protected List<EndpointType> singleLogoutService

    - #### manageNameIDService

          protected List<EndpointType> manageNameIDService

    - #### nameIDFormat

          protected List<String> nameIDFormat

  - ### Constructor Detail

    - #### SSODescriptorType

          public SSODescriptorType(List<String> protocolSupport)

  - ### Method Detail

    - #### addSingleLogoutService

          public void addSingleLogoutService(EndpointType endpt)

      Add SLO Service
      Parameters:
        `endpt` -

    - #### addArtifactResolutionService

          public void addArtifactResolutionService(IndexedEndpointType i)

      Add atrifact resolution service
      Parameters:
        `i` -

    - #### addManageNameIDService

          public void addManageNameIDService(EndpointType end)

      Add manage name id service
      Parameters:
        `end` -

    - #### addNameIDFormat

          public void addNameIDFormat(String s)

      Add Name ID Format
      Parameters:
        `s` -

    - #### removeSingleLogoutService

          public void removeSingleLogoutService(EndpointType endpt)

      remove SLO Service
      Parameters:
        `endpt` -

    - #### removeArtifactResolutionService

          public void removeArtifactResolutionService(IndexedEndpointType i)

      remove atrifact resolution service
      Parameters:
        `i` -

    - #### removeManageNameIDService

          public void removeManageNameIDService(EndpointType end)

      remove manage name id service
      Parameters:
        `end` -

    - #### removeNameIDFormat

          public void removeNameIDFormat(String s)

      remove Name ID Format
      Parameters:
        `s` -

    - #### getArtifactResolutionService

          public List<IndexedEndpointType> getArtifactResolutionService()

      Gets the value of the artifactResolutionService property.

      Objects of the following type(s) are allowed in the list `IndexedEndpointType`

    - #### getSingleLogoutService

          public List<EndpointType> getSingleLogoutService()

      Gets the value of the singleLogoutService property.

      Objects of the following type(s) are allowed in the list `EndpointType`

    - #### getManageNameIDService

          public List<EndpointType> getManageNameIDService()

      Gets the value of the manageNameIDService property.

      Objects of the following type(s) are allowed in the list `EndpointType`

    - #### getNameIDFormat

          public List<String> getNameIDFormat()

      Gets the value of the nameIDFormat property.

      Objects of the following type(s) are allowed in the list `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.